Entity Relationship
Represents an association between two entities
- : Login as a Service
Gets or sets the external key for the object
The entity that this relationship targets
A negation indicator - used to flag this relationship as negated
The strength (confidence) of the relationship between source and target
Represents the quantity of target in source
Association type key
Association type key
Association type key
The target of the association
Gets or sets the version sequence of the source object when this assoication became active
Gets or sets the sequence identifier of the source when this association is no longer active
Get the modification date
Gets or sets the source entity's key (where the relationship is FROM)
Gets or sets the primary identifying UUID of this object
A query parameter which references itself - this is for query filters which pass the original data in
Gets a tag which changes whenever the object is updated
Operation was completed successfully
Represents an association between two entities
Gets or sets the external key for the object
The entity that this relationship targets
A negation indicator - used to flag this relationship as negated
The strength (confidence) of the relationship between source and target
Represents the quantity of target in source
Association type key
Association type key
Association type key
The target of the association
Get the modification date
Gets or sets the source entity's key (where the relationship is FROM)
Gets or sets the primary identifying UUID of this object
Gets or sets the operation
Gets the type registration of this object
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
GET /hdsi/EntityRelationship/_export HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/x.santedb.rim.viewModel+json
Accept: */*
{
"externId": "text",
"holder": "123e4567-e89b-12d3-a456-426614174000",
"negationInd": true,
"strength": 1,
"quantity": 1,
"relationshipType": "123e4567-e89b-12d3-a456-426614174000",
"relationshipRole": "123e4567-e89b-12d3-a456-426614174000",
"classification": "123e4567-e89b-12d3-a456-426614174000",
"target": "123e4567-e89b-12d3-a456-426614174000",
"modifiedOn": "2026-01-01",
"source": "123e4567-e89b-12d3-a456-426614174000",
"id": "123e4567-e89b-12d3-a456-426614174000",
"operation": "Auto",
"$type": "text"
}- : Login as a Service
Gets or sets the external key for the object
The entity that this relationship targets
A negation indicator - used to flag this relationship as negated
The strength (confidence) of the relationship between source and target
Represents the quantity of target in source
Association type key
Association type key
Association type key
The target of the association
Gets or sets the version sequence of the source object when this assoication became active
Gets or sets the sequence identifier of the source when this association is no longer active
Get the modification date
Gets or sets the source entity's key (where the relationship is FROM)
Gets or sets the primary identifying UUID of this object
A query parameter which references itself - this is for query filters which pass the original data in
Gets a tag which changes whenever the object is updated
Operation was completed successfully
Represents an association between two entities
Gets or sets the external key for the object
The entity that this relationship targets
A negation indicator - used to flag this relationship as negated
The strength (confidence) of the relationship between source and target
Represents the quantity of target in source
Association type key
Association type key
Association type key
The target of the association
Get the modification date
Gets or sets the source entity's key (where the relationship is FROM)
Gets or sets the primary identifying UUID of this object
Gets or sets the operation
Gets the type registration of this object
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
GET /hdsi/EntityRelationship/{id}/_export HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"externId": "text",
"holder": "123e4567-e89b-12d3-a456-426614174000",
"negationInd": true,
"strength": 1,
"quantity": 1,
"relationshipType": "123e4567-e89b-12d3-a456-426614174000",
"relationshipRole": "123e4567-e89b-12d3-a456-426614174000",
"classification": "123e4567-e89b-12d3-a456-426614174000",
"target": "123e4567-e89b-12d3-a456-426614174000",
"modifiedOn": "2026-01-01",
"source": "123e4567-e89b-12d3-a456-426614174000",
"id": "123e4567-e89b-12d3-a456-426614174000",
"operation": "Auto",
"$type": "text"
}The search operation calls the database and loads results either from cache or data store. Care should be taken in the number of results retrieved by this operation.
- : Login as a Service
The offet of the first result to return
The count of items to return in this result set
True if the server should count the matching results. May reduce performance
Instructs the result set to be ordered (in format: property:(asc|desc))
The query state identifier. This allows the client to get a stable result set.
When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response
Gets or sets the external key for the object
The entity that this relationship targets
A negation indicator - used to flag this relationship as negated
The strength (confidence) of the relationship between source and target
Represents the quantity of target in source
Association type key
Association type key
Association type key
The target of the association
Gets or sets the version sequence of the source object when this assoication became active
Gets or sets the sequence identifier of the source when this association is no longer active
Get the modification date
Gets or sets the source entity's key (where the relationship is FROM)
Gets or sets the primary identifying UUID of this object
A query parameter which references itself - this is for query filters which pass the original data in
Gets a tag which changes whenever the object is updated
Operation was completed successfully
Represents an association between two entities
Gets or sets the external key for the object
The entity that this relationship targets
A negation indicator - used to flag this relationship as negated
The strength (confidence) of the relationship between source and target
Represents the quantity of target in source
Association type key
Association type key
Association type key
The target of the association
Get the modification date
Gets or sets the source entity's key (where the relationship is FROM)
Gets or sets the primary identifying UUID of this object
Gets or sets the operation
Gets the type registration of this object
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
GET /hdsi/EntityRelationship HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"externId": "text",
"holder": "123e4567-e89b-12d3-a456-426614174000",
"negationInd": true,
"strength": 1,
"quantity": 1,
"relationshipType": "123e4567-e89b-12d3-a456-426614174000",
"relationshipRole": "123e4567-e89b-12d3-a456-426614174000",
"classification": "123e4567-e89b-12d3-a456-426614174000",
"target": "123e4567-e89b-12d3-a456-426614174000",
"modifiedOn": "2026-01-01",
"source": "123e4567-e89b-12d3-a456-426614174000",
"id": "123e4567-e89b-12d3-a456-426614174000",
"operation": "Auto",
"$type": "text"
}This operation is a CREATE ONLY operation, and will throw an error if the operation results in a duplicate. If you are looking for a CREATE OR UPDATE method use the POST with identifier operation
- : Login as a Service
When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response
Represents an association between two entities
Gets or sets the external key for the object
The entity that this relationship targets
A negation indicator - used to flag this relationship as negated
The strength (confidence) of the relationship between source and target
Represents the quantity of target in source
Association type key
Association type key
Association type key
The target of the association
Get the modification date
Gets or sets the source entity's key (where the relationship is FROM)
Gets or sets the primary identifying UUID of this object
Gets or sets the operation
Gets the type registration of this object
Operation was completed successfully
Represents an association between two entities
Gets or sets the external key for the object
The entity that this relationship targets
A negation indicator - used to flag this relationship as negated
The strength (confidence) of the relationship between source and target
Represents the quantity of target in source
Association type key
Association type key
Association type key
The target of the association
Get the modification date
Gets or sets the source entity's key (where the relationship is FROM)
Gets or sets the primary identifying UUID of this object
Gets or sets the operation
Gets the type registration of this object
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
There is a conflict in the update request (version mismatch)
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
POST /hdsi/EntityRelationship HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/x.santedb.rim.viewModel+json
Accept: */*
Content-Length: 484
{
"externId": "text",
"holder": "123e4567-e89b-12d3-a456-426614174000",
"negationInd": true,
"strength": 1,
"quantity": 1,
"relationshipType": "123e4567-e89b-12d3-a456-426614174000",
"relationshipRole": "123e4567-e89b-12d3-a456-426614174000",
"classification": "123e4567-e89b-12d3-a456-426614174000",
"target": "123e4567-e89b-12d3-a456-426614174000",
"modifiedOn": "2026-01-01",
"source": "123e4567-e89b-12d3-a456-426614174000",
"id": "123e4567-e89b-12d3-a456-426614174000",
"operation": "Auto",
"$type": "text"
}{
"externId": "text",
"holder": "123e4567-e89b-12d3-a456-426614174000",
"negationInd": true,
"strength": 1,
"quantity": 1,
"relationshipType": "123e4567-e89b-12d3-a456-426614174000",
"relationshipRole": "123e4567-e89b-12d3-a456-426614174000",
"classification": "123e4567-e89b-12d3-a456-426614174000",
"target": "123e4567-e89b-12d3-a456-426614174000",
"modifiedOn": "2026-01-01",
"source": "123e4567-e89b-12d3-a456-426614174000",
"id": "123e4567-e89b-12d3-a456-426614174000",
"operation": "Auto",
"$type": "text"
}Operation was completed successfully
Represents an association between two entities
Gets or sets the external key for the object
The entity that this relationship targets
A negation indicator - used to flag this relationship as negated
The strength (confidence) of the relationship between source and target
Represents the quantity of target in source
Association type key
Association type key
Association type key
The target of the association
Get the modification date
Gets or sets the source entity's key (where the relationship is FROM)
Gets or sets the primary identifying UUID of this object
Gets or sets the operation
Gets the type registration of this object
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
OPTIONS /hdsi/EntityRelationship HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Accept: */*
{
"externId": "text",
"holder": "123e4567-e89b-12d3-a456-426614174000",
"negationInd": true,
"strength": 1,
"quantity": 1,
"relationshipType": "123e4567-e89b-12d3-a456-426614174000",
"relationshipRole": "123e4567-e89b-12d3-a456-426614174000",
"classification": "123e4567-e89b-12d3-a456-426614174000",
"target": "123e4567-e89b-12d3-a456-426614174000",
"modifiedOn": "2026-01-01",
"source": "123e4567-e89b-12d3-a456-426614174000",
"id": "123e4567-e89b-12d3-a456-426614174000",
"operation": "Auto",
"$type": "text"
}The HEAD operation is useful if you wish to determine if the header information for a specific result set has resulted in a change
Gets or sets the external key for the object
The entity that this relationship targets
A negation indicator - used to flag this relationship as negated
The strength (confidence) of the relationship between source and target
Represents the quantity of target in source
Association type key
Association type key
Association type key
The target of the association
Gets or sets the version sequence of the source object when this assoication became active
Gets or sets the sequence identifier of the source when this association is no longer active
Get the modification date
Gets or sets the source entity's key (where the relationship is FROM)
Gets or sets the primary identifying UUID of this object
A query parameter which references itself - this is for query filters which pass the original data in
Gets a tag which changes whenever the object is updated
There is not response for this method
No content
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
HEAD /hdsi/EntityRelationship HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Accept: */*
No content
This method will first use cache to locate the most recent copy before searching the database. It is recommended to use this method rather than a query to Resource?id={id}
- : Login as a Service
The identifier of the object which should be retrieved
True if the server should send related objects to the caller in a bundle
When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response
Gets or sets the external key for the object
The entity that this relationship targets
A negation indicator - used to flag this relationship as negated
The strength (confidence) of the relationship between source and target
Represents the quantity of target in source
Association type key
Association type key
Association type key
The target of the association
Gets or sets the version sequence of the source object when this assoication became active
Gets or sets the sequence identifier of the source when this association is no longer active
Get the modification date
Gets or sets the source entity's key (where the relationship is FROM)
Gets or sets the primary identifying UUID of this object
A query parameter which references itself - this is for query filters which pass the original data in
Gets a tag which changes whenever the object is updated
Operation was completed successfully
Represents an association between two entities
Gets or sets the external key for the object
The entity that this relationship targets
A negation indicator - used to flag this relationship as negated
The strength (confidence) of the relationship between source and target
Represents the quantity of target in source
Association type key
Association type key
Association type key
The target of the association
Get the modification date
Gets or sets the source entity's key (where the relationship is FROM)
Gets or sets the primary identifying UUID of this object
Gets or sets the operation
Gets the type registration of this object
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
GET /hdsi/EntityRelationship/{id} HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"externId": "text",
"holder": "123e4567-e89b-12d3-a456-426614174000",
"negationInd": true,
"strength": 1,
"quantity": 1,
"relationshipType": "123e4567-e89b-12d3-a456-426614174000",
"relationshipRole": "123e4567-e89b-12d3-a456-426614174000",
"classification": "123e4567-e89b-12d3-a456-426614174000",
"target": "123e4567-e89b-12d3-a456-426614174000",
"modifiedOn": "2026-01-01",
"source": "123e4567-e89b-12d3-a456-426614174000",
"id": "123e4567-e89b-12d3-a456-426614174000",
"operation": "Auto",
"$type": "text"
}Creates or updates a resource. That is, creates the resource if it does not exist, or updates it if it does
This method will attempt to update the resource if it exists (a-la PUT style) however, if a PUT fails the operation will create (a-la POST)
- : Login as a Service
The identifier of the resource to be created or updated
When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response
Represents an association between two entities
Gets or sets the external key for the object
The entity that this relationship targets
A negation indicator - used to flag this relationship as negated
The strength (confidence) of the relationship between source and target
Represents the quantity of target in source
Association type key
Association type key
Association type key
The target of the association
Get the modification date
Gets or sets the source entity's key (where the relationship is FROM)
Gets or sets the primary identifying UUID of this object
Gets or sets the operation
Gets the type registration of this object
Operation was completed successfully
Represents an association between two entities
Gets or sets the external key for the object
The entity that this relationship targets
A negation indicator - used to flag this relationship as negated
The strength (confidence) of the relationship between source and target
Represents the quantity of target in source
Association type key
Association type key
Association type key
The target of the association
Get the modification date
Gets or sets the source entity's key (where the relationship is FROM)
Gets or sets the primary identifying UUID of this object
Gets or sets the operation
Gets the type registration of this object
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
POST /hdsi/EntityRelationship/{id} HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/x.santedb.rim.viewModel+json
Accept: */*
Content-Length: 484
{
"externId": "text",
"holder": "123e4567-e89b-12d3-a456-426614174000",
"negationInd": true,
"strength": 1,
"quantity": 1,
"relationshipType": "123e4567-e89b-12d3-a456-426614174000",
"relationshipRole": "123e4567-e89b-12d3-a456-426614174000",
"classification": "123e4567-e89b-12d3-a456-426614174000",
"target": "123e4567-e89b-12d3-a456-426614174000",
"modifiedOn": "2026-01-01",
"source": "123e4567-e89b-12d3-a456-426614174000",
"id": "123e4567-e89b-12d3-a456-426614174000",
"operation": "Auto",
"$type": "text"
}{
"externId": "text",
"holder": "123e4567-e89b-12d3-a456-426614174000",
"negationInd": true,
"strength": 1,
"quantity": 1,
"relationshipType": "123e4567-e89b-12d3-a456-426614174000",
"relationshipRole": "123e4567-e89b-12d3-a456-426614174000",
"classification": "123e4567-e89b-12d3-a456-426614174000",
"target": "123e4567-e89b-12d3-a456-426614174000",
"modifiedOn": "2026-01-01",
"source": "123e4567-e89b-12d3-a456-426614174000",
"id": "123e4567-e89b-12d3-a456-426614174000",
"operation": "Auto",
"$type": "text"
}Updates the specified resource. If the resource does not exist than a 404 is thrown, if there is a conflict (such a mismatch of data) a 409 is thrown
This operation will update an existing resource on the server such that the data in the database exactly matches the data passed via the API.
Note: If you post an incomplete object (such as one missing identifiers, or addresses) then the current resource will have those attributes removed. For partial updates, use the PATCH operation instead.- : Login as a Service
The identifier of the resource to be updated
When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response
Represents an association between two entities
Gets or sets the external key for the object
The entity that this relationship targets
A negation indicator - used to flag this relationship as negated
The strength (confidence) of the relationship between source and target
Represents the quantity of target in source
Association type key
Association type key
Association type key
The target of the association
Get the modification date
Gets or sets the source entity's key (where the relationship is FROM)
Gets or sets the primary identifying UUID of this object
Gets or sets the operation
Gets the type registration of this object
Operation was completed successfully
Represents an association between two entities
Gets or sets the external key for the object
The entity that this relationship targets
A negation indicator - used to flag this relationship as negated
The strength (confidence) of the relationship between source and target
Represents the quantity of target in source
Association type key
Association type key
Association type key
The target of the association
Get the modification date
Gets or sets the source entity's key (where the relationship is FROM)
Gets or sets the primary identifying UUID of this object
Gets or sets the operation
Gets the type registration of this object
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
There is a conflict in the update request (version mismatch)
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
PUT /hdsi/EntityRelationship/{id} HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/x.santedb.rim.viewModel+json
Accept: */*
Content-Length: 484
{
"externId": "text",
"holder": "123e4567-e89b-12d3-a456-426614174000",
"negationInd": true,
"strength": 1,
"quantity": 1,
"relationshipType": "123e4567-e89b-12d3-a456-426614174000",
"relationshipRole": "123e4567-e89b-12d3-a456-426614174000",
"classification": "123e4567-e89b-12d3-a456-426614174000",
"target": "123e4567-e89b-12d3-a456-426614174000",
"modifiedOn": "2026-01-01",
"source": "123e4567-e89b-12d3-a456-426614174000",
"id": "123e4567-e89b-12d3-a456-426614174000",
"operation": "Auto",
"$type": "text"
}{
"externId": "text",
"holder": "123e4567-e89b-12d3-a456-426614174000",
"negationInd": true,
"strength": 1,
"quantity": 1,
"relationshipType": "123e4567-e89b-12d3-a456-426614174000",
"relationshipRole": "123e4567-e89b-12d3-a456-426614174000",
"classification": "123e4567-e89b-12d3-a456-426614174000",
"target": "123e4567-e89b-12d3-a456-426614174000",
"modifiedOn": "2026-01-01",
"source": "123e4567-e89b-12d3-a456-426614174000",
"id": "123e4567-e89b-12d3-a456-426614174000",
"operation": "Auto",
"$type": "text"
}This operation either logically or permanently deletes the identified resource so that it no longer appears in general searches. The method of deletion is controlled by the
- : Login as a Service
The identifier of the resource to be deleted
When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response
Operation was completed successfully
Represents an association between two entities
Gets or sets the external key for the object
The entity that this relationship targets
A negation indicator - used to flag this relationship as negated
The strength (confidence) of the relationship between source and target
Represents the quantity of target in source
Association type key
Association type key
Association type key
The target of the association
Get the modification date
Gets or sets the source entity's key (where the relationship is FROM)
Gets or sets the primary identifying UUID of this object
Gets or sets the operation
Gets the type registration of this object
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
There is a conflict in the update request (version mismatch)
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
DELETE /hdsi/EntityRelationship/{id} HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"externId": "text",
"holder": "123e4567-e89b-12d3-a456-426614174000",
"negationInd": true,
"strength": 1,
"quantity": 1,
"relationshipType": "123e4567-e89b-12d3-a456-426614174000",
"relationshipRole": "123e4567-e89b-12d3-a456-426614174000",
"classification": "123e4567-e89b-12d3-a456-426614174000",
"target": "123e4567-e89b-12d3-a456-426614174000",
"modifiedOn": "2026-01-01",
"source": "123e4567-e89b-12d3-a456-426614174000",
"id": "123e4567-e89b-12d3-a456-426614174000",
"operation": "Auto",
"$type": "text"
}The metadata for the most recent version of this resource includes the last modified time, the e-tag, etc.
The identifier of the resource to be retrieved
Gets or sets the external key for the object
The entity that this relationship targets
A negation indicator - used to flag this relationship as negated
The strength (confidence) of the relationship between source and target
Represents the quantity of target in source
Association type key
Association type key
Association type key
The target of the association
Gets or sets the version sequence of the source object when this assoication became active
Gets or sets the sequence identifier of the source when this association is no longer active
Get the modification date
Gets or sets the source entity's key (where the relationship is FROM)
Gets or sets the primary identifying UUID of this object
A query parameter which references itself - this is for query filters which pass the original data in
Gets a tag which changes whenever the object is updated
There is not response for this method
No content
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
HEAD /hdsi/EntityRelationship/{id} HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Accept: */*
No content
The PATCH operation allows for partial updating of a resource.
This method must be used in conjunction with an If-Match header indicating the version that you would like apply the patch against.
The server will load the most recent version and compre the version code with If-Match, if the match is successful the instructions in the PATCH are applied to the loaded version.- : Login as a Service
The identifier of the resource to be patched
Represents a series of patch instructions
Gets or sets the version of the patch file
Application version
Gets or sets the creation time as an ISO date format
Gets or sets the time that the data is no longer valid (was deleted/obsoleted) in ISO format
Gets the time that the object was last modified (from base data, default to CreationTime)
Gets or sets the security provenance object which represents the creation of this object
Gets or sets the security provenance object which represents the obsoletion of this data
Gets or sets the primary identifying UUID of this object
Gets or sets the operation
Gets the type registration of this object
There is not response for this method
No content
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
The patch submitted does not match the current version of the object being patched
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
PATCH /hdsi/EntityRelationship/{id} HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/x.santedb.rim.viewModel+json
Accept: */*
Content-Length: 340
{
"version": "text",
"appliesTo": null,
"change": [
{
"op": "add",
"path": "text",
"value": null
}
],
"creationTime": "text",
"obsoletionTime": "text",
"modifiedOn": "2026-01-01",
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"obsoletedBy": "123e4567-e89b-12d3-a456-426614174000",
"id": "123e4567-e89b-12d3-a456-426614174000",
"operation": "Auto",
"$type": "text"
}No content
In SanteDB an operation or method is invoked using
- : Login as a Service
The ID of the object which scopes the operation
When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response
Gets the operation invokation
Operation was completed successfully
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
POST /hdsi/EntityRelationship/{id}/$diff HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/x.santedb.rim.viewModel+json
Accept: */*
Content-Length: 42
{
"parameter": [
{
"name": "text",
"int": null
}
]
}{}In SanteDB an operation or method is invoked using
- : Login as a Service
The ID of the object which scopes the operation
When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response
Gets the operation invokation
Operation was completed successfully
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
POST /hdsi/EntityRelationship/{id}/$tag HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/x.santedb.rim.viewModel+json
Accept: */*
Content-Length: 42
{
"parameter": [
{
"name": "text",
"int": null
}
]
}{}In SanteDB an operation or method is invoked using
- : Login as a Service
The ID of the object which scopes the operation
When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response
Gets the operation invokation
Operation was completed successfully
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
POST /hdsi/EntityRelationship/{id}/$validate HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/x.santedb.rim.viewModel+json
Accept: */*
Content-Length: 42
{
"parameter": [
{
"name": "text",
"int": null
}
]
}{}This method returns a barcode which explicitly points at the specified resource in the specified authority.
The barcode is generated using the server's configuration, and is signed by the server's signing key.
For complete specification see: https://help.santesuite.org/santedb/extending-santedb/service-apis/health-data-service-interface-hdsi/digitally-signed-visual-code-api- : Login as a Service
The identifier of the resource for which a VRP should be generated
The format of the barcode (santedb-vrp, code39, etc.)
Gets or sets the external key for the object
The entity that this relationship targets
A negation indicator - used to flag this relationship as negated
The strength (confidence) of the relationship between source and target
Represents the quantity of target in source
Association type key
Association type key
Association type key
The target of the association
Gets or sets the version sequence of the source object when this assoication became active
Gets or sets the sequence identifier of the source when this association is no longer active
Get the modification date
Gets or sets the source entity's key (where the relationship is FROM)
Gets or sets the primary identifying UUID of this object
A query parameter which references itself - this is for query filters which pass the original data in
Gets a tag which changes whenever the object is updated
Operation was completed successfully
Represents an association between two entities
Gets or sets the external key for the object
The entity that this relationship targets
A negation indicator - used to flag this relationship as negated
The strength (confidence) of the relationship between source and target
Represents the quantity of target in source
Association type key
Association type key
Association type key
The target of the association
Get the modification date
Gets or sets the source entity's key (where the relationship is FROM)
Gets or sets the primary identifying UUID of this object
Gets or sets the operation
Gets the type registration of this object
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
GET /hdsi/EntityRelationship/{id}/_code HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"externId": "text",
"holder": "123e4567-e89b-12d3-a456-426614174000",
"negationInd": true,
"strength": 1,
"quantity": 1,
"relationshipType": "123e4567-e89b-12d3-a456-426614174000",
"relationshipRole": "123e4567-e89b-12d3-a456-426614174000",
"classification": "123e4567-e89b-12d3-a456-426614174000",
"target": "123e4567-e89b-12d3-a456-426614174000",
"modifiedOn": "2026-01-01",
"source": "123e4567-e89b-12d3-a456-426614174000",
"id": "123e4567-e89b-12d3-a456-426614174000",
"operation": "Auto",
"$type": "text"
}This operation (like the _code operation) generates a digitally signed pointer for an object. Rather than rendering that pointer as a visual code, the API will return the structured contents of that code so the client can best determine how to represent the data.
For complete specification see: https://help.santesuite.org/santedb/extending-santedb/service-apis/health-data-service-interface-hdsi/digitally-signed-visual-code-api- : Login as a Service
The identifier of the object for which the pointer should be created
Gets or sets the external key for the object
The entity that this relationship targets
A negation indicator - used to flag this relationship as negated
The strength (confidence) of the relationship between source and target
Represents the quantity of target in source
Association type key
Association type key
Association type key
The target of the association
Gets or sets the version sequence of the source object when this assoication became active
Gets or sets the sequence identifier of the source when this association is no longer active
Get the modification date
Gets or sets the source entity's key (where the relationship is FROM)
Gets or sets the primary identifying UUID of this object
A query parameter which references itself - this is for query filters which pass the original data in
Gets a tag which changes whenever the object is updated
Operation was completed successfully
Represents an association between two entities
Gets or sets the external key for the object
The entity that this relationship targets
A negation indicator - used to flag this relationship as negated
The strength (confidence) of the relationship between source and target
Represents the quantity of target in source
Association type key
Association type key
Association type key
The target of the association
Get the modification date
Gets or sets the source entity's key (where the relationship is FROM)
Gets or sets the primary identifying UUID of this object
Gets or sets the operation
Gets the type registration of this object
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
GET /hdsi/EntityRelationship/{id}/_ptr HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"externId": "text",
"holder": "123e4567-e89b-12d3-a456-426614174000",
"negationInd": true,
"strength": 1,
"quantity": 1,
"relationshipType": "123e4567-e89b-12d3-a456-426614174000",
"relationshipRole": "123e4567-e89b-12d3-a456-426614174000",
"classification": "123e4567-e89b-12d3-a456-426614174000",
"target": "123e4567-e89b-12d3-a456-426614174000",
"modifiedOn": "2026-01-01",
"source": "123e4567-e89b-12d3-a456-426614174000",
"id": "123e4567-e89b-12d3-a456-426614174000",
"operation": "Auto",
"$type": "text"
}- : Login as a Service
When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response
Gets the operation invokation
Operation was completed successfully
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
POST /hdsi/EntityRelationship/$xsd-complete HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/x.santedb.rim.viewModel+json
Accept: */*
Content-Length: 42
{
"parameter": [
{
"name": "text",
"int": null
}
]
}{}- : Login as a Service
When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response
Gets the operation invokation
Operation was completed successfully
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
POST /hdsi/EntityRelationship/$schema-complete HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/x.santedb.rim.viewModel+json
Accept: */*
Content-Length: 42
{
"parameter": [
{
"name": "text",
"int": null
}
]
}{}- : Login as a Service
When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response
Gets the operation invokation
Operation was completed successfully
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
POST /hdsi/EntityRelationship/$validate HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/x.santedb.rim.viewModel+json
Accept: */*
Content-Length: 42
{
"parameter": [
{
"name": "text",
"int": null
}
]
}{}- : Login as a Service
When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response
Gets the operation invokation
Operation was completed successfully
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
POST /hdsi/EntityRelationship/$xref-use HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/x.santedb.rim.viewModel+json
Accept: */*
Content-Length: 42
{
"parameter": [
{
"name": "text",
"int": null
}
]
}{}- : Login as a Service
The offet of the first result to return
The count of items to return in this result set
True if the server should count the matching results. May reduce performance
Instructs the result set to be ordered (in format: property:(asc|desc))
The query state identifier. This allows the client to get a stable result set.
When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response
Gets or sets the external key for the object
The entity that this relationship targets
A negation indicator - used to flag this relationship as negated
The strength (confidence) of the relationship between source and target
Represents the quantity of target in source
Association type key
Association type key
Association type key
The target of the association
Gets or sets the version sequence of the source object when this assoication became active
Gets or sets the sequence identifier of the source when this association is no longer active
Get the modification date
Gets or sets the source entity's key (where the relationship is FROM)
Gets or sets the primary identifying UUID of this object
A query parameter which references itself - this is for query filters which pass the original data in
Gets a tag which changes whenever the object is updated
Operation was completed successfully
Represents a relationship validation rule between two
Gets the time that the validation rule was modified on
Gets the classification key of the source object to which this classification applies
Get the target class key
Gets the relationship type between the
Gets or sets the application class for XML
Gets the description for the validation
Gets or sets the creation time as an ISO date format
Gets or sets the time that the data is no longer valid (was deleted/obsoleted) in ISO format
Gets or sets the security provenance object which represents the creation of this object
Gets or sets the security provenance object which represents the obsoletion of this data
Gets or sets the primary identifying UUID of this object
Gets or sets the operation
Gets the type registration of this object
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
GET /hdsi/EntityRelationship/_relationshipRule HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"modifiedOn": "2026-01-01",
"sourceClass": "123e4567-e89b-12d3-a456-426614174000",
"targetClass": "123e4567-e89b-12d3-a456-426614174000",
"relationshipType": "123e4567-e89b-12d3-a456-426614174000",
"appliesTo": "text",
"description": "text",
"creationTime": "text",
"obsoletionTime": "text",
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"obsoletedBy": "123e4567-e89b-12d3-a456-426614174000",
"id": "123e4567-e89b-12d3-a456-426614174000",
"operation": "Auto",
"$type": "text"
}- : Login as a Service
The key of the sub-item to fetch
True if the server should include related objects
When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response
Gets or sets the external key for the object
The entity that this relationship targets
A negation indicator - used to flag this relationship as negated
The strength (confidence) of the relationship between source and target
Represents the quantity of target in source
Association type key
Association type key
Association type key
The target of the association
Gets or sets the version sequence of the source object when this assoication became active
Gets or sets the sequence identifier of the source when this association is no longer active
Get the modification date
Gets or sets the source entity's key (where the relationship is FROM)
Gets or sets the primary identifying UUID of this object
A query parameter which references itself - this is for query filters which pass the original data in
Gets a tag which changes whenever the object is updated
Operation was completed successfully
Represents a relationship validation rule between two
Gets the time that the validation rule was modified on
Gets the classification key of the source object to which this classification applies
Get the target class key
Gets the relationship type between the
Gets or sets the application class for XML
Gets the description for the validation
Gets or sets the creation time as an ISO date format
Gets or sets the time that the data is no longer valid (was deleted/obsoleted) in ISO format
Gets or sets the security provenance object which represents the creation of this object
Gets or sets the security provenance object which represents the obsoletion of this data
Gets or sets the primary identifying UUID of this object
Gets or sets the operation
Gets the type registration of this object
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
GET /hdsi/EntityRelationship/_relationshipRule/{childResourceKey} HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"modifiedOn": "2026-01-01",
"sourceClass": "123e4567-e89b-12d3-a456-426614174000",
"targetClass": "123e4567-e89b-12d3-a456-426614174000",
"relationshipType": "123e4567-e89b-12d3-a456-426614174000",
"appliesTo": "text",
"description": "text",
"creationTime": "text",
"obsoletionTime": "text",
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"obsoletedBy": "123e4567-e89b-12d3-a456-426614174000",
"id": "123e4567-e89b-12d3-a456-426614174000",
"operation": "Auto",
"$type": "text"
}This method will unlink, or delete (depending on behavior of the provider) the child resource from the container.
- : Login as a Service
The actual value of the sub-key
When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response
Operation was completed successfully
Represents a relationship validation rule between two
Gets the time that the validation rule was modified on
Gets the classification key of the source object to which this classification applies
Get the target class key
Gets the relationship type between the
Gets or sets the application class for XML
Gets the description for the validation
Gets or sets the creation time as an ISO date format
Gets or sets the time that the data is no longer valid (was deleted/obsoleted) in ISO format
Gets or sets the security provenance object which represents the creation of this object
Gets or sets the security provenance object which represents the obsoletion of this data
Gets or sets the primary identifying UUID of this object
Gets or sets the operation
Gets the type registration of this object
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
DELETE /hdsi/EntityRelationship/_relationshipRule/{childResourceKey} HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"modifiedOn": "2026-01-01",
"sourceClass": "123e4567-e89b-12d3-a456-426614174000",
"targetClass": "123e4567-e89b-12d3-a456-426614174000",
"relationshipType": "123e4567-e89b-12d3-a456-426614174000",
"appliesTo": "text",
"description": "text",
"creationTime": "text",
"obsoletionTime": "text",
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"obsoletedBy": "123e4567-e89b-12d3-a456-426614174000",
"id": "123e4567-e89b-12d3-a456-426614174000",
"operation": "Auto",
"$type": "text"
}Last updated
Was this helpful?